Subject: Re: [bug#54563] [PATCH] gnu: Add wsdd.

From: Simon Streit <[email-masked]>
Date: Mon, 04 Apr 2022 20:48:24 +0200

Hello Maxime,

Maxime Devos <[email-masked]> writes:

> Simon Streit schreef op vr 25-03-2022 om 12:46 [+0100]:
>> +       (uri (git-reference (url "https://github.com/christgau/wsdd")
>> +                           (commit (string-append "v" version))))
>
> This uses NetlinkAddressMonitor, which is Linux-specific.  Could
> 'supported-systems' be set to only Linux targets (and not, say,
> GNU/Hurd)?

I just figured you are meaning that WSDD only supports Linux specific
systems?  It appears so after reading the source code.  I can't tell if
it will work in GNU/Hurd though.  Should the package declaration be
modified to reflect this limitation?